/*Geektek Contacts is a program for storing contacts.
*Copyright (C) 2014  Aubrey Thomas
*
*GeekTek Contacts is free software: you can redistribute it and/or modify
*it under the terms of the GNU General Public License as published by
*the Free Software Foundation, either version 3 of the License, or
*(at your option) any later version.
*
*GeekTek Contacts is distributed in the hope that it will be useful,
*but WITHOUT ANY WARRANTY; without even the implied warranty of
*MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*GNU General Public License for more details.
*
*You should have received a copy of the GNU General Public License
*along with GeekTek Contacts.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "about.h"
#include "chooser.h"
#include "ui_chooser.h"
#include "viewcontacts.h"
#include "addcontact.h"

Chooser::Chooser(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::Chooser)
{
    ui->setupUi(this);
    connect(ui->addButton, SIGNAL(clicked()), this, SLOT(addContact()));
    connect(ui->viewButton, SIGNAL(clicked()), this, SLOT(viewContacts()));
    connect(ui->actionAbout, SIGNAL(triggered()), this, SLOT(showAbout()));
}


void Chooser::showAbout()
{
    new About();
}

void Chooser::addContact()
{
    AddContact *add = new AddContact();
    add->window = this;
    this->close();
    add->show();
}

void Chooser::viewContacts()
{
    ViewContacts *view = new ViewContacts();
    this->close();
    view->show();
}

Chooser::~Chooser()
{
    delete ui;
}
